package cn.reghao.tnb.auth.app.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.auth.app.model.po.UserLogin;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2020-04-27 09:35:39
 */
@Mapper
public interface UserLoginMapper extends BaseMapper<UserLogin> {
    void updateSetFailed(String loginId);

    List<UserLogin> findByLoginIds(List<String> loginIds);
    List<UserLogin> findByUserId(@Param("userId") long userId, @Param("pageSize") int pageSize);
}
